# from https://packaging.python.org/en/latest/appveyor/
environment:
  HDF5_VERSION: "1.8.17"
  TOX_TESTENV_PASSENV: "HDF5_DIR"
  H5PY_ENFORCE_COVERAGE: "YES"

  matrix:

    ### USING HDF5 1.8 ###

    - PYTHON: "C:\\Python37"
      TOXENV: "py37-test-deps"
      HDF5_VSVERSION: "14"
      HDF5_DIR: "C:\\hdf5\\%HDF5_VERSION%\\%HDF5_VSVERSION%"

    ### USING HDF5 1.10 ###

    - PYTHON: "C:\\Python37"
      TOXENV: "py37-test-deps"
      HDF5_VSVERSION: "14"
      HDF5_DIR: "C:\\hdf5\\%HDF5_VERSION%\\%HDF5_VSVERSION%"
      HDF5_VERSION: "1.10.6"

    - PYTHON: "C:\\Python38"
      TOXENV: "py38-test-deps"
      HDF5_VSVERSION: "14"
      HDF5_DIR: "C:\\hdf5\\%HDF5_VERSION%\\%HDF5_VSVERSION%"
      HDF5_VERSION: "1.10.6"

    ### USING HDF5 1.12 ###

    - PYTHON: "C:\\Python37"
      TOXENV: "py37-test-deps"
      HDF5_VSVERSION: "14"
      HDF5_DIR: "C:\\hdf5\\%HDF5_VERSION%\\%HDF5_VSVERSION%"
      HDF5_VERSION: "1.12.0"

    - PYTHON: "C:\\Python38"
      TOXENV: "py38-test-deps"
      HDF5_VSVERSION: "14"
      HDF5_DIR: "C:\\hdf5\\%HDF5_VERSION%\\%HDF5_VSVERSION%"
      HDF5_VERSION: "1.12.0"

install:
  # We need wheel installed to build wheels
  - "%PYTHON%\\python.exe -m pip install --upgrade wheel pip setuptools"
  - "py -3.6 -m pip install --upgrade wheel pip setuptools virtualenv"
  - "py -3.6 -m pip install requests"
  - "py -3.6 ci\\get_hdf5_win.py"
  - "py -3.6 -m pip install tox codecov tox-appveyor"

build: off

test_script:
  # Put your test command here.
  # Note that you must use the environment variable %PYTHON% to refer to
  # the interpreter you're using - Appveyor does not do anything special
  # to put the Python evrsion you want to use on PATH.
  - "py -3.6 -m tox -v"

# This is commented out as there's no easy way to deal with numpy dropping
# older python versions without a recent pip/setuptools.
#after_test:
#  # This step builds your wheels.
#  - "%PYTHON%\\python.exe setup.py bdist_wheel"
#
#artifacts:
#  # bdist_wheel puts your built wheel in the dist directory
#  - path: dist\*

cache:
  - "%LOCALAPPDATA%\\pip\\Cache"
  - "C:\\hdf5"

on_success:
  - "py -3.6 ci\\upload_coverage.py"
